=== debian/control ===
Source: editmoin
Section: text
Priority: optional
Build-Depends: 
 debhelper (>= 9),
 python (>= 2.5)
Maintainer: Martin Pitt <mpitt@debian.org>
Homepage: http://labix.org/editmoin
Standards-Version: 3.9.8
Vcs-Git: git://anonscm.debian.org/collab-maint/editmoin.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/editmoin.git

Package: editmoin
Architecture: all
Depends: python:any, ${misc:Depends}
Suggests: vim-addon-manager
Description: edit MoinMoin wiki pages with your favourite editor
 editmoin allows you to edit pages in MoinMoin wikis with your
 preferred editor instead of the (usually quite limited) web
 browser text areas.
 .
 It also supports configuration files to define shortcuts for URLs
 that you edit often.
 .
 This package also includes a Vim syntax file. Install
 vim-addon-manager and use "vim-addons install editmoin" to activate.
 .
 However, you can use any other editor by setting the standard $EDITOR
 environment variable.
