=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@"

override_dh_auto_install:
	# setup.py installs too much noise, don't use it
